XtGetKeysymTable(3Xt)

NAME
XtGetKeysymTable, XtKeysymToKeycodeList - query keysyms and keycodes

SYNTAX

Keysym* XtGetKeysymTable(Display* display, KeyCode* min_keycode_return, int *keysyms_per_keycode_return);

void XtKeysymToKeycodeList(Display* display, KeySym keysym, KeyCode** keycodes_return, Cardinal* keycount_return);

ARGUMENTS

display
    Specifies the display whose table is required.

min_keycode_return
    Returns the minimum KeyCode valid for the display.

keysyms_per_keycode_return
    Returns the number of KeySyms stored for each KeyCode.

keysym
    Specifies the KeySym for which to search.

keycodes_return
    Returns a list of KeyCodes that have keysym associated with them, or NULL if keycount_return is 0.

keycount_return
    Returns the number of KeyCodes in the keycode list.

DESCRIPTION
returns a pointer to the Intrinsics' copy of the server's KeyCode-to-KeySym table. This table must not be modified.

The procedure returns all the KeyCodes that have keysym in their entry for the keyboard mapping table associated with display. The caller should free the storage pointed to by keycodes_return using when it is no longer useful.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface